* [gentoo-commits] repo/proj/guru:dev commit in: app-forensics/yara/
@ 2021-07-02 7:23 Alessandro Barbieri
0 siblings, 0 replies; 5+ messages in thread
From: Alessandro Barbieri @ 2021-07-02 7:23 UTC (permalink / raw
To: gentoo-commits
commit: 517e3ddd92b4826e7a713007030177ebffc41464
Author: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Fri Jul 2 07:17:53 2021 +0000
Commit: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Fri Jul 2 07:23:34 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=517e3ddd
app-forensics/yara: initial import
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>
app-forensics/yara/Manifest | 1 +
app-forensics/yara/metadata.xml | 24 ++++++++++++
app-forensics/yara/yara-4.1.1.ebuild | 72 ++++++++++++++++++++++++++++++++++++
3 files changed, 97 insertions(+)
diff --git a/app-forensics/yara/Manifest b/app-forensics/yara/Manifest
new file mode 100644
index 000000000..7bdea3d1b
--- /dev/null
+++ b/app-forensics/yara/Manifest
@@ -0,0 +1 @@
+DIST yara-4.1.1.tar.gz 936115 BLAKE2B 6edf277702fb40513097195c730002875eef75502e92d672597ca09fefc054c14a082076877e8bea3daaeb05148a9116e2c302ea90a6ce6270e460fce31db658 SHA512 e4474254249d5b3fbb7231fdec5f4e080be042098e1b2bc953aa93513ce0b4742e34acac2911687e75055ecd589d942f71b79c58ca47eee243626ab3ec8add71
diff --git a/app-forensics/yara/metadata.xml b/app-forensics/yara/metadata.xml
new file mode 100644
index 000000000..875695e98
--- /dev/null
+++ b/app-forensics/yara/metadata.xml
@@ -0,0 +1,24 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <description>co-maintainers welcome</description>
+ <email>lssndrbarbieri@gmail.com</email>
+ <name>Alessandro Barbieri</name>
+ </maintainer>
+ <upstream>
+ <bugs-to>https://github.com/VirusTotal/yara/issues</bugs-to>
+ </upstream>
+ <use>
+ <flag name="cpu-profiler">compile with CPU profiling support</flag>
+ <flag name="cuckoo">enable cuckoo module</flag>
+ <flag name="debug-dex">enable dex module debugging</flag>
+ <flag name="dex">enable dex module</flag>
+ <flag name="dotnet">enable dotnet module</flag>
+ <flag name="jemalloc">use jemalloc to debug heap-related issues</flag>
+ <flag name="macho">enable macho module</flag>
+ <flag name="magic">enable magic module</flag>
+ <flag name="profile">enable rules profiling support</flag>
+ <flag name="tcmalloc">use tcmalloc as the default heap allocator</flag>
+ </use>
+</pkgmetadata>
diff --git a/app-forensics/yara/yara-4.1.1.ebuild b/app-forensics/yara/yara-4.1.1.ebuild
new file mode 100644
index 000000000..f47cce0cc
--- /dev/null
+++ b/app-forensics/yara/yara-4.1.1.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DOCS_AUTODOC=0
+DOCS_BUILDER="sphinx"
+DOCS_DIR="docs"
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+
+inherit autotools python-any-r1 docs
+
+DESCRIPTION="A malware identification and classification tool"
+HOMEPAGE="
+ http://virustotal.github.io/yara
+ https://github.com/virustotal/yara
+"
+SRC_URI="https://github.com/virustotal/yara/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="cpu-profiler cuckoo +dex debug-dex dotnet jemalloc macho magic profile tcmalloc"
+#TODO: test https://github.com/VirusTotal/yara/issues/1524
+
+REQUIRED_USE="?? ( jemalloc tcmalloc )"
+DEPEND="
+ dev-libs/openssl:0=
+
+ cpu-profiler? ( dev-util/google-perftools )
+ cuckoo? ( dev-libs/jansson )
+ jemalloc? ( dev-libs/jemalloc )
+ magic? ( sys-apps/file )
+ tcmalloc? ( dev-util/google-perftools )
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ local myconf=(
+ $(use_enable cuckoo)
+ $(use_enable debug-dex)
+ $(use_enable dex)
+ $(use_enable dotnet)
+ $(use_enable macho)
+ $(use_enable magic)
+ $(use_enable profile profiling)
+
+ $(use_with cpu-profiler)
+ $(use_with jemalloc)
+ $(use_with tcmalloc)
+ )
+ econf "${myconf[@]}"
+}
+
+src_compile() {
+ default
+ docs_compile
+}
+
+
+src_install() {
+ default
+ einstalldocs
+ dodoc CONTRIBUTORS sample.{file,rules}
+ find "${ED}" -name '*.la' -delete || die
+ find "${ED}" -name '*.a' -delete || die
+}
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: app-forensics/yara/
2021-07-03 9:59 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
@ 2021-07-03 9:58 ` Andrew Ammerlaan
0 siblings, 0 replies; 5+ messages in thread
From: Andrew Ammerlaan @ 2021-07-03 9:58 UTC (permalink / raw
To: gentoo-commits
commit: de102909256d12226bc5b5c1e90121bd05441930
Author: Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 3 09:57:10 2021 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Sat Jul 3 09:57:10 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=de102909
app-forensics/yara: remove useless blank line
Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>
app-forensics/yara/yara-4.1.1.ebuild | 1 -
1 file changed, 1 deletion(-)
diff --git a/app-forensics/yara/yara-4.1.1.ebuild b/app-forensics/yara/yara-4.1.1.ebuild
index f47cce0cc..e1be593ed 100644
--- a/app-forensics/yara/yara-4.1.1.ebuild
+++ b/app-forensics/yara/yara-4.1.1.ebuild
@@ -62,7 +62,6 @@ src_compile() {
docs_compile
}
-
src_install() {
default
einstalldocs
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: app-forensics/yara/
@ 2021-07-19 13:35 Alessandro Barbieri
0 siblings, 0 replies; 5+ messages in thread
From: Alessandro Barbieri @ 2021-07-19 13:35 UTC (permalink / raw
To: gentoo-commits
commit: ff6aff1624302482037a5f957ca89add768e7be0
Author: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Mon Jul 19 13:34:11 2021 +0000
Commit: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Mon Jul 19 13:35:11 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=ff6aff16
app-forensics/yara: some changes based on Juippis suggestions
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>
app-forensics/yara/yara-4.1.1.ebuild | 13 ++++++++++---
1 file changed, 10 insertions(+), 3 deletions(-)
diff --git a/app-forensics/yara/yara-4.1.1.ebuild b/app-forensics/yara/yara-4.1.1.ebuild
index e1be593ed..ddc420d6c 100644
--- a/app-forensics/yara/yara-4.1.1.ebuild
+++ b/app-forensics/yara/yara-4.1.1.ebuild
@@ -35,6 +35,8 @@ DEPEND="
"
RDEPEND="${DEPEND}"
+DOCS=( CONTRIBUTORS sample.{file,rules} )
+
src_prepare() {
default
eautoreconf
@@ -42,6 +44,13 @@ src_prepare() {
src_configure() {
local myconf=(
+ --disable-address-sanitizer
+ --disable-debug
+ --disable-gcov
+ --disable-pb-tests
+ --enable-optimization
+ --with-crypto
+
$(use_enable cuckoo)
$(use_enable debug-dex)
$(use_enable dex)
@@ -65,7 +74,5 @@ src_compile() {
src_install() {
default
einstalldocs
- dodoc CONTRIBUTORS sample.{file,rules}
- find "${ED}" -name '*.la' -delete || die
- find "${ED}" -name '*.a' -delete || die
+ find "${ED}" \( -name "*.a" -o -name "*.la" \) -delete || die
}
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: app-forensics/yara/
2022-02-07 20:40 [gentoo-commits] repo/proj/guru:master commit in: app-forensics/yara/ Arthur Zamarin
@ 2022-02-07 20:37 ` Arthur Zamarin
0 siblings, 0 replies; 5+ messages in thread
From: Arthur Zamarin @ 2022-02-07 20:37 UTC (permalink / raw
To: gentoo-commits
commit: 022725c4b6f988cfc25ab321bf47d4da2e87de6f
Author: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 7 20:36:28 2022 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Mon Feb 7 20:36:28 2022 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=022725c4
app-forensics/yara: treeclean (moved to ::gentoo)
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
app-forensics/yara/Manifest | 1 -
app-forensics/yara/metadata.xml | 24 -----------
app-forensics/yara/yara-4.1.1.ebuild | 78 ------------------------------------
3 files changed, 103 deletions(-)
diff --git a/app-forensics/yara/Manifest b/app-forensics/yara/Manifest
deleted file mode 100644
index 7bdea3d1b..000000000
--- a/app-forensics/yara/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST yara-4.1.1.tar.gz 936115 BLAKE2B 6edf277702fb40513097195c730002875eef75502e92d672597ca09fefc054c14a082076877e8bea3daaeb05148a9116e2c302ea90a6ce6270e460fce31db658 SHA512 e4474254249d5b3fbb7231fdec5f4e080be042098e1b2bc953aa93513ce0b4742e34acac2911687e75055ecd589d942f71b79c58ca47eee243626ab3ec8add71
diff --git a/app-forensics/yara/metadata.xml b/app-forensics/yara/metadata.xml
deleted file mode 100644
index 875695e98..000000000
--- a/app-forensics/yara/metadata.xml
+++ /dev/null
@@ -1,24 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
- <maintainer type="person">
- <description>co-maintainers welcome</description>
- <email>lssndrbarbieri@gmail.com</email>
- <name>Alessandro Barbieri</name>
- </maintainer>
- <upstream>
- <bugs-to>https://github.com/VirusTotal/yara/issues</bugs-to>
- </upstream>
- <use>
- <flag name="cpu-profiler">compile with CPU profiling support</flag>
- <flag name="cuckoo">enable cuckoo module</flag>
- <flag name="debug-dex">enable dex module debugging</flag>
- <flag name="dex">enable dex module</flag>
- <flag name="dotnet">enable dotnet module</flag>
- <flag name="jemalloc">use jemalloc to debug heap-related issues</flag>
- <flag name="macho">enable macho module</flag>
- <flag name="magic">enable magic module</flag>
- <flag name="profile">enable rules profiling support</flag>
- <flag name="tcmalloc">use tcmalloc as the default heap allocator</flag>
- </use>
-</pkgmetadata>
diff --git a/app-forensics/yara/yara-4.1.1.ebuild b/app-forensics/yara/yara-4.1.1.ebuild
deleted file mode 100644
index ddc420d6c..000000000
--- a/app-forensics/yara/yara-4.1.1.ebuild
+++ /dev/null
@@ -1,78 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-DOCS_AUTODOC=0
-DOCS_BUILDER="sphinx"
-DOCS_DIR="docs"
-PYTHON_COMPAT=( python3_{8..10} pypy3 )
-
-inherit autotools python-any-r1 docs
-
-DESCRIPTION="A malware identification and classification tool"
-HOMEPAGE="
- http://virustotal.github.io/yara
- https://github.com/virustotal/yara
-"
-SRC_URI="https://github.com/virustotal/yara/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE="cpu-profiler cuckoo +dex debug-dex dotnet jemalloc macho magic profile tcmalloc"
-#TODO: test https://github.com/VirusTotal/yara/issues/1524
-
-REQUIRED_USE="?? ( jemalloc tcmalloc )"
-DEPEND="
- dev-libs/openssl:0=
-
- cpu-profiler? ( dev-util/google-perftools )
- cuckoo? ( dev-libs/jansson )
- jemalloc? ( dev-libs/jemalloc )
- magic? ( sys-apps/file )
- tcmalloc? ( dev-util/google-perftools )
-"
-RDEPEND="${DEPEND}"
-
-DOCS=( CONTRIBUTORS sample.{file,rules} )
-
-src_prepare() {
- default
- eautoreconf
-}
-
-src_configure() {
- local myconf=(
- --disable-address-sanitizer
- --disable-debug
- --disable-gcov
- --disable-pb-tests
- --enable-optimization
- --with-crypto
-
- $(use_enable cuckoo)
- $(use_enable debug-dex)
- $(use_enable dex)
- $(use_enable dotnet)
- $(use_enable macho)
- $(use_enable magic)
- $(use_enable profile profiling)
-
- $(use_with cpu-profiler)
- $(use_with jemalloc)
- $(use_with tcmalloc)
- )
- econf "${myconf[@]}"
-}
-
-src_compile() {
- default
- docs_compile
-}
-
-src_install() {
- default
- einstalldocs
- find "${ED}" \( -name "*.a" -o -name "*.la" \) -delete || die
-}
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/proj/guru:master commit in: app-forensics/yara/
@ 2022-02-07 20:40 Arthur Zamarin
2022-02-07 20:37 ` [gentoo-commits] repo/proj/guru:dev " Arthur Zamarin
0 siblings, 1 reply; 5+ messages in thread
From: Arthur Zamarin @ 2022-02-07 20:40 UTC (permalink / raw
To: gentoo-commits
commit: 022725c4b6f988cfc25ab321bf47d4da2e87de6f
Author: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 7 20:36:28 2022 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Mon Feb 7 20:36:28 2022 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=022725c4
app-forensics/yara: treeclean (moved to ::gentoo)
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
app-forensics/yara/Manifest | 1 -
app-forensics/yara/metadata.xml | 24 -----------
app-forensics/yara/yara-4.1.1.ebuild | 78 ------------------------------------
3 files changed, 103 deletions(-)
diff --git a/app-forensics/yara/Manifest b/app-forensics/yara/Manifest
deleted file mode 100644
index 7bdea3d1b..000000000
--- a/app-forensics/yara/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST yara-4.1.1.tar.gz 936115 BLAKE2B 6edf277702fb40513097195c730002875eef75502e92d672597ca09fefc054c14a082076877e8bea3daaeb05148a9116e2c302ea90a6ce6270e460fce31db658 SHA512 e4474254249d5b3fbb7231fdec5f4e080be042098e1b2bc953aa93513ce0b4742e34acac2911687e75055ecd589d942f71b79c58ca47eee243626ab3ec8add71
diff --git a/app-forensics/yara/metadata.xml b/app-forensics/yara/metadata.xml
deleted file mode 100644
index 875695e98..000000000
--- a/app-forensics/yara/metadata.xml
+++ /dev/null
@@ -1,24 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
- <maintainer type="person">
- <description>co-maintainers welcome</description>
- <email>lssndrbarbieri@gmail.com</email>
- <name>Alessandro Barbieri</name>
- </maintainer>
- <upstream>
- <bugs-to>https://github.com/VirusTotal/yara/issues</bugs-to>
- </upstream>
- <use>
- <flag name="cpu-profiler">compile with CPU profiling support</flag>
- <flag name="cuckoo">enable cuckoo module</flag>
- <flag name="debug-dex">enable dex module debugging</flag>
- <flag name="dex">enable dex module</flag>
- <flag name="dotnet">enable dotnet module</flag>
- <flag name="jemalloc">use jemalloc to debug heap-related issues</flag>
- <flag name="macho">enable macho module</flag>
- <flag name="magic">enable magic module</flag>
- <flag name="profile">enable rules profiling support</flag>
- <flag name="tcmalloc">use tcmalloc as the default heap allocator</flag>
- </use>
-</pkgmetadata>
diff --git a/app-forensics/yara/yara-4.1.1.ebuild b/app-forensics/yara/yara-4.1.1.ebuild
deleted file mode 100644
index ddc420d6c..000000000
--- a/app-forensics/yara/yara-4.1.1.ebuild
+++ /dev/null
@@ -1,78 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-DOCS_AUTODOC=0
-DOCS_BUILDER="sphinx"
-DOCS_DIR="docs"
-PYTHON_COMPAT=( python3_{8..10} pypy3 )
-
-inherit autotools python-any-r1 docs
-
-DESCRIPTION="A malware identification and classification tool"
-HOMEPAGE="
- http://virustotal.github.io/yara
- https://github.com/virustotal/yara
-"
-SRC_URI="https://github.com/virustotal/yara/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE="cpu-profiler cuckoo +dex debug-dex dotnet jemalloc macho magic profile tcmalloc"
-#TODO: test https://github.com/VirusTotal/yara/issues/1524
-
-REQUIRED_USE="?? ( jemalloc tcmalloc )"
-DEPEND="
- dev-libs/openssl:0=
-
- cpu-profiler? ( dev-util/google-perftools )
- cuckoo? ( dev-libs/jansson )
- jemalloc? ( dev-libs/jemalloc )
- magic? ( sys-apps/file )
- tcmalloc? ( dev-util/google-perftools )
-"
-RDEPEND="${DEPEND}"
-
-DOCS=( CONTRIBUTORS sample.{file,rules} )
-
-src_prepare() {
- default
- eautoreconf
-}
-
-src_configure() {
- local myconf=(
- --disable-address-sanitizer
- --disable-debug
- --disable-gcov
- --disable-pb-tests
- --enable-optimization
- --with-crypto
-
- $(use_enable cuckoo)
- $(use_enable debug-dex)
- $(use_enable dex)
- $(use_enable dotnet)
- $(use_enable macho)
- $(use_enable magic)
- $(use_enable profile profiling)
-
- $(use_with cpu-profiler)
- $(use_with jemalloc)
- $(use_with tcmalloc)
- )
- econf "${myconf[@]}"
-}
-
-src_compile() {
- default
- docs_compile
-}
-
-src_install() {
- default
- einstalldocs
- find "${ED}" \( -name "*.a" -o -name "*.la" \) -delete || die
-}
^ permalink raw reply related [flat|nested] 5+ messages in thread
end of thread, other threads:[~2022-02-07 20:40 UTC | newest]
Thread overview: 5+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-02-07 20:40 [gentoo-commits] repo/proj/guru:master commit in: app-forensics/yara/ Arthur Zamarin
2022-02-07 20:37 ` [gentoo-commits] repo/proj/guru:dev " Arthur Zamarin
-- strict thread matches above, loose matches on Subject: below --
2021-07-19 13:35 Alessandro Barbieri
2021-07-03 9:59 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2021-07-03 9:58 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2021-07-02 7:23 Alessandro Barbieri
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox